import {createSSRApp} from "vue";
import App from "./App.vue";

import SzyxPush from "./szyx-push-sdk";


SzyxPush.init('sdada', 'wx').then(() => {
    console.log('IM初始化完成')
})
SzyxPush.register('xuqm').then(r => {
    console.log('注册im服务完成')
}).catch(e => {
    console.log('注册im服务失败', e)
})
SzyxPush.onMessage((type, msg) => {
    console.log('收到消息', type, msg)
})

export function createApp() {
    const app = createSSRApp(App);
    return {
        app,
    };
}
